% File src/library/datasets/man/USJudgeRatings.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{USJudgeRatings}
\docType{data}
\title{米国最高裁判事の評価データ}
\alias{USJudgeRatings}
%%\title{Lawyers' Ratings of State Judges in the US Superior Court}
\description{
  弁護士による米国最高裁の判事の評価データ．
}
\usage{USJudgeRatings}
\format{
  12数値変数に関する43観測値を含むデータフレーム．
  \tabular{rll}{
    [,1] \tab CONT \tab 弁護士による判事との接触数．\cr
    [,2] \tab INTG \tab 裁判官として清廉さ．\cr
    [,3] \tab DMNR \tab 行状．\cr
    [,4] \tab DILG \tab 勤勉さ．\cr
    [,5] \tab CFMG \tab 審判の流れの管理．\cr
    [,6] \tab DECI \tab 迅速な決定．\cr
    [,7] \tab PREP \tab 判決に対する準備．\cr
    [,8] \tab FAMI \tab 法律への知識．\cr
    [,9] \tab ORAL \tab 健全な口頭による裁定．\cr
    [,10] \tab WRIT \tab 健全な文章による裁定．\cr
    [,11] \tab PHYS \tab 身体的能力．\cr
    [,12] \tab RTEN \tab 残留に値する．
  }
}
\source{
  New Haven Register, 14 January, 1977 (John Hartigan による).
}
\examples{
require(graphics)
pairs(USJudgeRatings, main = "USJudgeRatings data")
}
\keyword{datasets}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/datasets/man/USJudgeRatings.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{USJudgeRatings}
%\docType{data}
%\alias{USJudgeRatings}
%\title{Lawyers' Ratings of State Judges in the US Superior Court}
%\description{
%  Lawyers' ratings of state judges in the US Superior Court.
%}
%\usage{USJudgeRatings}
%\format{
%  A data frame containing 43 observations on 12 numeric variables.
%  \tabular{rll}{
%    [,1] \tab CONT \tab Number of contacts of lawyer with judge.\cr
%    [,2] \tab INTG \tab Judicial integrity.\cr
%    [,3] \tab DMNR \tab Demeanor.\cr
%    [,4] \tab DILG \tab Diligence.\cr
%    [,5] \tab CFMG \tab Case flow managing.\cr
%    [,6] \tab DECI \tab Prompt decisions.\cr
%    [,7] \tab PREP \tab Preparation for trial.\cr
%    [,8] \tab FAMI \tab Familiarity with law.\cr
%    [,9] \tab ORAL \tab Sound oral rulings.\cr
%    [,10] \tab WRIT \tab Sound written rulings.\cr
%    [,11] \tab PHYS \tab Physical ability.\cr
%    [,12] \tab RTEN \tab Worthy of retention.
%  }
%}
%\source{
%  New Haven Register, 14 January, 1977 (from John Hartigan).
%}
%\examples{
%require(graphics)
%pairs(USJudgeRatings, main = "USJudgeRatings data")
%}
%\keyword{datasets}
%
%\encoding{UTF8}
%