% File src/library/datasets/man/attitude.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2013 R Core Team
% Distributed under GPL 2 or later

\name{attitude}
\docType{data}
\title{勤務態度データ}
\alias{attitude}
%%\title{The Chatterjee--Price Attitude Data}
\description{
  大規模ファイナンス機関の事務職員の調査から，
  データは30の部局の各々から(無作為に)選ばれた約35人の社員のアンケート
  から集められた．数値は各部局での7つの質問に対する
  好意的な反応のパーセント割合を与える．
}
\usage{attitude}
\format{
  7変数に対する30観測値のデータフレーム．
  最初の列は参考文献からの短い名前，二番目の列は
  データフレーム中の名前：
  \tabular{rlll}{
     Y   \tab rating    \tab 数値 \tab 全般的評価 \cr
    X[1] \tab complaints\tab 数値 \tab 雇用者の不満の処理 \cr
    X[2] \tab privileges\tab 数値 \tab 特別な特権を許さない \cr
    X[3] \tab learning \tab 数値  \tab 学習の機会 \cr
    X[4] \tab raises   \tab 数値  \tab 成果による昇進 \cr
    X[5] \tab critical \tab 数値  \tab 批判的過ぎる \cr
    X[6] \tab advancel \tab 数値  \tab 達成度}
}
\source{
  Chatterjee, S. and Price, B. (1977)
  \emph{Regression Analysis by Example}.
  New York: Wiley.
  (Section 3.7, p.68ff of 2nd ed.(1991).)
}
\examples{
require(stats); require(graphics)
pairs(attitude, main = "attitude data")
summary(attitude)
summary(fm1 <- lm(rating ~ ., data = attitude))
opar <- par(mfrow = c(2, 2), oma = c(0, 0, 1.1, 0),
            mar = c(4.1, 4.1, 2.1, 1.1))
plot(fm1)
summary(fm2 <- lm(rating ~ complaints, data = attitude))
plot(fm2)
par(opar)
}
\keyword{datasets}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/datasets/man/attitude.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2013 R Core Team
%% Distributed under GPL 2 or later
%
%\name{attitude}
%\docType{data}
%\alias{attitude}
%\title{The Chatterjee--Price Attitude Data}
%\description{
%  From a survey of the clerical employees of a large financial
%  organization, the data are aggregated from the questionnaires of the
%  approximately 35 employees for each of 30 (randomly selected)
%  departments.  The numbers give the percent proportion of favourable
%  responses to seven questions in each department.}
%\usage{attitude}
%\format{
%  A data frame with 30 observations on 7 variables. The first column are
%  the short names from the reference, the second one the variable names
%  in the data frame:
%  \tabular{rlll}{
%     Y   \tab rating    \tab numeric  \tab Overall rating \cr
%    X[1] \tab complaints\tab numeric \tab Handling of employee complaints \cr
%    X[2] \tab privileges\tab numeric \tab Does not allow special privileges \cr
%    X[3] \tab learning \tab numeric  \tab Opportunity to learn \cr
%    X[4] \tab raises   \tab numeric  \tab Raises based on performance \cr
%    X[5] \tab critical \tab numeric  \tab Too critical \cr
%    X[6] \tab advancel \tab numeric  \tab Advancement}
%}
%\source{
%  Chatterjee, S. and Price, B. (1977)
%  \emph{Regression Analysis by Example}.
%  New York: Wiley.
%  (Section 3.7, p.68ff of 2nd ed.(1991).)
%}
%\examples{
%require(stats); require(graphics)
%pairs(attitude, main = "attitude data")
%summary(attitude)
%summary(fm1 <- lm(rating ~ ., data = attitude))
%opar <- par(mfrow = c(2, 2), oma = c(0, 0, 1.1, 0),
%            mar = c(4.1, 4.1, 2.1, 1.1))
%plot(fm1)
%summary(fm2 <- lm(rating ~ complaints, data = attitude))
%plot(fm2)
%par(opar)
%}
%\keyword{datasets}
%
%\encoding{UTF8}
%