% File src/library/grDevices/man/pdf.options.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2011 R Core Team
% Distributed under GPL 2 or later

\name{pdf.options}
\title{pdf のオプション設定}
\alias{pdf.options}
%%\title{Auxiliary Function to Set/View Defaults for Arguments of pdf}
\description{
  補助関数 \code{pdf.options} は
  \code{\link{pdf}} への引数の幾つかに対する既定値を設定したり
  眺めたり(引数無しで呼ばれた時)するのに使える．

  \code{pdf.options} は
  \code{pdf} を呼び出す前に呼ばれる必要があり，
  それが設定する既定値は
  \code{pdf} に引数を与えることで上書きされる．
  }
\usage{
pdf.options(\dots, reset = FALSE)
}
\arguments{
  \item{\dots}{引数 \code{width}, \code{height}, \code{onefile},
    \code{family}, \code{title}, \code{fonts}, \code{paper},
    \code{encoding}, \code{pointsize}, \code{bg}, \code{fg},
    \code{pagecentre}, \code{useDingbats}, \code{colormodel},
    \code{fillOddEven} そして \code{compress} が提供出来る．}
  \item{reset}{論理値：既定値を
    \sQuote{工場出荷時}の値にリセットするか?}
}
\details{
  もし \code{reset = TRUE} と \code{...} の両方が提供されると，
  既定値は先ず\sQuote{工場出荷時}の値リセットされそれから
  新しい値が適用される．
}
\value{
  全ての既定値の名前付きリスト．
  もしある引数が提供されると返り値は古い値であり，
  結果は可視フラグがオフにされる．
}
\seealso{
  \code{\link{pdf}}, \code{\link{ps.options}}.
}
\examples{
pdf.options(bg = "pink")
utils::str(pdf.options())
pdf.options(reset = TRUE) # 工場出荷値に復帰
}
\keyword{device}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grDevices/man/pdf.options.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2011 R Core Team
%% Distributed under GPL 2 or later
%
%\name{pdf.options}
%\alias{pdf.options}
%\title{Auxiliary Function to Set/View Defaults for Arguments of pdf}
%\description{
%  The auxiliary function \code{pdf.options} can be used to set or view
%  (if called without arguments) the default values for some of the
%  arguments to \code{\link{pdf}}.
%
%  \code{pdf.options} needs to be called before calling \code{pdf},
%  and the default values it sets can be overridden by supplying
%  arguments to \code{pdf}.
%  }
%\usage{
%pdf.options(\dots, reset = FALSE)
%}
%\arguments{
%  \item{\dots}{arguments \code{width}, \code{height}, \code{onefile},
%    \code{family}, \code{title}, \code{fonts}, \code{paper},
%    \code{encoding}, \code{pointsize}, \code{bg}, \code{fg},
%    \code{pagecentre}, \code{useDingbats}, \code{colormodel},
%    \code{fillOddEven} and \code{compress} can be supplied.}
%  \item{reset}{logical: should the defaults be reset to their
%    \sQuote{factory-fresh} values?}
%}
%\details{
%  If both \code{reset = TRUE} and \code{...} are supplied the defaults
%  are first reset to the \sQuote{factory-fresh} values and then the new
%  values are applied.
%}
%\value{
%  A named list of all the defaults.  If any arguments are
%  supplied the return values are the old values and the result has the
%  visibility flag turned off.
%}
%\seealso{
%  \code{\link{pdf}}, \code{\link{ps.options}}.
%}
%\examples{
%pdf.options(bg = "pink")
%utils::str(pdf.options())
%pdf.options(reset = TRUE) # back to factory-fresh
%}
%\keyword{device}
%
%\encoding{UTF-8}
%