% File src/library/grDevices/man/unix/quartzFonts.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{quartzFonts}
\alias{quartzFont}
\title{Quartz のフォント}
\alias{quartzFonts}
\concept{fonts}
\concept{encoding}
%%\title{quartz Fonts}
\encoding{UTF-8}
\description{
  これらの関数はデバイス独立な R グラフィックスフォント名の
  Quartz のフォント記述への翻訳を処理する．
}
\usage{
quartzFont(family)

quartzFonts(...)
}
\arguments{
  \item{family}{
    フォントファミリのプレーン，ボールド，イタリックそしてボールドイタリック
    バージョンに対する
    ポストスクリプトフォント名を含む文字列ベクトル．}
  \item{\dots}{
    ディスプレイへのマッピングを命名する文字列か
    定義する新しい(名前付き)マッピング．}
}
\details{
  quartz デバイスが既定のフォントで作られるが
  (\code{quartz} に対するドキュメントを見よ)，デバイスに書き込む時に
  フォントファミリのを指定することも可能である
  (例えば，grid パッケージ中の
  \code{gpar} に対するドキュメントを見よ)．

  デバイスに送られるフォントファミリは単純な文字列名で，
  quartz フォントにより固有なものにマップされる必要がある．
  マッピングのりストが維持されユーザが変更することが出来る．

  \code{quartzFonts} 関数は既存マッピングのリストと新しいマッピングの
  定義に使うことが出来る．
  \code{quartzFont} 関数は新しいマッピングの定義に使える．

  既定のマッピングは三つのデバイス独立のフォントファミリ名に対して低供されている：
  サンセリフフォントに対する \code{"sans"}，セリフフォントに対する \code{"serif"}
  そしてモノスペースフォントに対する \code{"mono"} である．
}
\seealso{
  \code{\link{quartz}}
}
\examples{
quartzFonts()
quartzFonts("mono")
\dontrun{
## 東アジアロケールに対しては次のようなものを使うことが出来る
quartzFonts(sans = quartzFont(rep("AppleGothic", 4)),
            serif = quartzFont(rep("AppleMyungjp", 4)))
## なぜなら既定のフォントは必要なグリフを持たないかもしれないから
}}
\keyword{device}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grDevices/man/unix/quartzFonts.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{quartzFonts}
%\alias{quartzFont}
%\alias{quartzFonts}
%\concept{fonts}
%\concept{encoding}
%\title{quartz Fonts}
%\description{
%  These functions handle the translation of a device-independent R graphics
%  font family name to a quartz font description.
%}
%\usage{
%quartzFont(family)
%
%quartzFonts(...)
%}
%\arguments{
%  \item{family}{a character vector containing the four PostScript font
%    names for plain, bold, italic, and bolditalic versions of
%    a font family.}
%  \item{\dots}{either character strings naming mappings to display,
%    or new (named) mappings to define.}
%}
%\details{
%  A quartz device is created with a default font (see
%  the documentation for \code{quartz}), but it is also possible
%  to specify a font family when drawing to the device
%  (for example, see the documentation for \code{gpar} in the
%  grid package).
%
%  The font family sent to the device is a simple string name, which must be
%  mapped to something more specific to quartz fonts.  A list of
%  mappings is maintained and can be modified by the user.
%
%  The \code{quartzFonts} function can be used to list existing
%  mappings and to define new mappings.  The \code{quartzFont}
%  function can be used to create a new mapping.
%
%  Default mappings are provided for three device-independent font family
%  names: \code{"sans"} for a sans-serif font, \code{"serif"} for a serif
%  font and \code{"mono"} for a monospaced font.
%}
%\seealso{
%  \code{\link{quartz}}
%}
%\examples{
%quartzFonts()
%quartzFonts("mono")
%\dontrun{
%## for East Asian locales you can use something like
%quartzFonts(sans = quartzFont(rep("AppleGothic", 4)),
%            serif = quartzFont(rep("AppleMyungjp", 4)))
%## since the default fonts may well not have the glyphs needed
%}}
%\keyword{device}
%
