% File src/library/stats/man/Distributions.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2010-2011 R Core Team
% Distributed under GPL 2 or later

\name{Distributions}
\alias{distribution}
\alias{distributions}
\alias{Distributions}
\title{Distributions in the stats package}
\description{
  \pkg{stats} パッケージでは多くの標準的確率分布に対する密度，
  累積分布関数，クォンタイル関数，そして乱数生成関数が得られる．
}
\details{
  密度/確率関数，累積分布関数，クォンタイル関数，そして乱数生成関数は
 それぞれ \code{dxxx}, \code{pxxx}, \code{qxxx} そして \code{rxxx}
 のような形式で名前が付けられる．

  ベータ分布に対しては \code{\link{dbeta}} を見よ．

  二項 (ベルヌイを含む) 分布に対しては \code{\link{dbinom}} を見よ．

  コーシー分布に対しては \code{\link{dcauchy}} を見よ．

  カイ二乗分布に対しては \code{\link{dchisq}} を見よ．

  指数分布に対しては \code{\link{dexp}} を見よ．

  F 分布に対しては \code{\link{df}} を見よ．

  ガンマ分布に対しては \code{\link{dgamma}}を見よ．

  幾何分布に対しては \code{\link{dgeom}}を見よ．
   (これは又負の二項分布の特殊例である．)

  超幾何分布に対しては \code{\link{dhyper}} を見よ．

  対数正規分布に対しては \code{\link{dlnorm}} を見よ．

  多項分布に対しては \code{\link{dmultinom}} を見よ．

  負の二項分布に対しては \code{\link{dnbinom}} を見よ．

  正規分布に対しては \code{\link{dnorm}} を見よ．

  ポアッソン分布に対しては \code{\link{dpois}} を見よ．

  スチューデント分布に対しては \code{\link{dt}} を見よ．

  一様分布に対しては \code{\link{dunif}} を見よ．

  ワイブル分布に対しては \code{\link{dweibull}} を見よ．

  より一般的ではない検定統計量の分布については
  \code{\link{pbirthday}}, \code{\link{dsignrank}},
  \code{\link{ptukey}} そして \code{\link{dwilcox}} (そして
  \code{\link{cor.test}} の \sQuote{関連} 節)を見よ．
}
\seealso{
  \R おける乱数生成については \code{\link{RNG}}．

  分布に対する CRAN task view，
  \url{https://cran.r-project.org/web/views/Distributions.html}，
  は追加の分布に対する幾つかの CRAN パッケージを紹介している．
}
\keyword{distribution}

\encoding{UTF-8}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/Distributions.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2010-2011 R Core Team
%% Distributed under GPL 2 or later
%
%\name{Distributions}
%\alias{distribution}
%\alias{distributions}
%\alias{Distributions}
%\title{Distributions in the stats package}
%\description{
%  Density, cumulative distribution function, quantile function and random
%  variate generation for many standard probability distributions are
%  available in the \pkg{stats} package.
%}
%\details{
%  The functions for the density/mass function, cumulative distribution
%  function, quantile function and random variate generation are named in the
%  form \code{dxxx}, \code{pxxx}, \code{qxxx} and \code{rxxx} respectively.
%
%  For the beta distribution see \code{\link{dbeta}}.
%
%  For the binomial (including Bernoulli) distribution see
%  \code{\link{dbinom}}.
%
%  For the Cauchy distribution see \code{\link{dcauchy}}.
%
%  For the chi-squared distribution see \code{\link{dchisq}}.
%
%  For the exponential distribution see \code{\link{dexp}}.
%
%  For the F distribution see \code{\link{df}}.
%
%  For the gamma distribution see \code{\link{dgamma}}.
%
%  For the geometric distribution see \code{\link{dgeom}}.  (This is also
%  a special case of the negative binomial.)
%
%  For the hypergeometric distribution see \code{\link{dhyper}}.
%
%  For the log-normal distribution see \code{\link{dlnorm}}.
%
%  For the multinomial distribution see \code{\link{dmultinom}}.
%
%  For the negative binomial distribution see \code{\link{dnbinom}}.
%
%  For the normal distribution see \code{\link{dnorm}}.
%
%  For the Poisson distribution see \code{\link{dpois}}.
%
%  For the Student's t distribution see \code{\link{dt}}.
%
%  For the uniform distribution see \code{\link{dunif}}.
%
%  For the Weibull distribution see \code{\link{dweibull}}.
%
%  For less common distributions of test statistics see
%  \code{\link{pbirthday}}, \code{\link{dsignrank}},
%  \code{\link{ptukey}} and \code{\link{dwilcox}} (and see the
%  \sQuote{See Also} section of \code{\link{cor.test}}).
%}
%\seealso{
%  \code{\link{RNG}} about random number generation in \R.
%
%  The CRAN task view on distributions,
%  \url{https://cran.r-project.org/web/views/Distributions.html},
%  mentioning several CRAN packages for additional distributions.
%}
%\keyword{distribution}
%
%\encoding{UTF-8}
%