% File src/library/stats/man/NLSstRtAsymptote.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2010 R Core Team
% Distributed under GPL 2 or later

\name{NLSstRtAsymptote}

\title{Horizontal Asymptote on the Right Side}
\alias{NLSstRtAsymptote}
\alias{NLSstRtAsymptote.sortedXyData}
\description{
  \code{xy} オブジェクトからの \code{y} 対 \code{x} のグラフの
  右側(つまり大きな \code{x} の値)水平漸近線の初期推定値を与える．
  元来自己開始非線形回帰モデルに対する \code{initial} 関数の
  内部で使われた．
}
\usage{
NLSstRtAsymptote(xy)
}
\arguments{
 \item{xy}{\code{sortedXyData} オブジェクト．}
}
\value{
  大きな \code{x} に対する水平漸近線を推定する一つの数値．
}
\author{\enc{José}{Jose} Pinheiro と Douglas Bates}
\seealso{
  \code{\link{sortedXyData}},
  \code{\link{NLSstClosestX}},
  \code{\link{NLSstRtAsymptote}},
  \code{\link{selfStart}}
}
\examples{
DNase.2 <- DNase[ DNase$Run == "2", ]
DN.srt <- sortedXyData( expression(log(conc)), expression(density), DNase.2 )
NLSstRtAsymptote( DN.srt )
}
\keyword{manip}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/NLSstRtAsymptote.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2010 R Core Team
%% Distributed under GPL 2 or later
%
%\name{NLSstRtAsymptote}
%
%\title{Horizontal Asymptote on the Right Side}
%\alias{NLSstRtAsymptote}
%\alias{NLSstRtAsymptote.sortedXyData}
%\description{
%  Provide an initial guess at the horizontal asymptote on the right side
%  (i.e., large values of \code{x}) of the graph of \code{y} versus
%  \code{x} from the \code{xy} object.  Primarily used within
%  \code{initial} functions for self-starting nonlinear regression
%  models.
%}
%\usage{
%NLSstRtAsymptote(xy)
%}
%\arguments{
% \item{xy}{a \code{sortedXyData} object}
%}
%\value{
%  A single numeric value estimating the horizontal asymptote for large
%  \code{x}.
%}
%\author{\enc{José}{Jose} Pinheiro and Douglas Bates}
%\seealso{
%  \code{\link{sortedXyData}},
%  \code{\link{NLSstClosestX}},
%  \code{\link{NLSstRtAsymptote}},
%  \code{\link{selfStart}}
%}
%\examples{
%DNase.2 <- DNase[ DNase$Run == "2", ]
%DN.srt <- sortedXyData( expression(log(conc)), expression(density), DNase.2 )
%NLSstRtAsymptote( DN.srt )
%}
%\keyword{manip}
%
%\encoding{UTF-8}
%