% File src/library/tools/man/make_translations_pkg.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2012-2014 R Core Team
% Distributed under GPL 2 or later

\name{make_translations_pkg}
%@%\alias{変更のパッケージング}
\alias{make_translations_pkg}
%\title{Package the Current Translations in the \R sources}
\title{現在の変更を \R ソース中にパッケージする}
\description{
  更新した変更のパッケージを用意する R コアメンバー用のユーティリティ，
}
\usage{
make_translations_pkg(srcdir, outDir = ".", append = "-1")
}
\arguments{
  \item{srcdir}{\R のソースディレクトリ．}
  \item{outDir}{準備したパッケージをその中に置くディレクトリ．}
  \item{append}{パッケージのバージョン番号に対する接尾辞，
    例えば\sspace{}\code{3.0.0-1} は \R 3.0.0 中では既定値．}
}
\details{
  これは現在の
  \R ソースのディストリビューション中の変更を取り出し
  そしてそれらを CRAN で配布し
  \code{\link{update.packages}} でインストール出来る
  \pkg{translations} と呼ばれるソースパッケージにパッケージする．
  これは例えば
  \R 3.x.y で出荷された変更を
  現在 \samp{R-patched} 中にあるもので更新することを，
  管理特権を持たないユーザにも許す．

  パッケージは
  単一の \code{x} に対するバージョン \code{3.x.*} に制限する
  \samp{Depends} 欄を持つ．
}

\keyword{utilities}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tools/man/make_translations_pkg.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2012-2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{make_translations_pkg}
%\alias{make_translations_pkg}
%\title{
%  Package the Current Translations in the \R sources
%}
%\description{
%  A utility for R Core members to prepare a package of updated translations.
%}
%\usage{
%make_translations_pkg(srcdir, outDir = ".", append = "-1")
%}
%\arguments{
%  \item{srcdir}{The \R source directory.}
%  \item{outDir}{The directory into which to place the prepared package.}
%  \item{append}{The suffix for the package version number,
%    e.g.\sspace{}\code{3.0.0-1} will be the default in \R 3.0.0.}
%}
%\details{
%  This extracts the translations in a current \R source distribution and
%  packages them as a source package called \pkg{translations} which can
%  be distributed on CRAN and installed by
%  \code{\link{update.packages}}.  This allows e.g.\sspace{}the translations
%  shipped in \R 3.x.y to be updated to those currently in
%  \samp{R-patched}, even by a user without administrative privileges.
%
%  The package has a \samp{Depends} field which restricts it to versions
%  \code{3.x.*} for a single \code{x}.
%}
%
%\keyword{utilities}
%
%\encoding{UTF8}
%