\name{.print.via.format}
%@%\alias{プリント用ユーティリティ}
\alias{.print.via.format}
%\title{Printing Utilities}
\title{プリント用ユーティリティ}
\description{
  \code{.print.via.format} は \code{\link{print}()} メソッドの
  \dQuote{プロトタイプ}で，少なくとも次のように簡単な出発点として 
  有用である
\preformatted{    print.<myS3class>  <-  .print.via.format}
}
\usage{
.print.via.format(x, ...)
}
\arguments{
  \item{x}{プリントされるオブジェクト．}
  \item{\dots}{オプションの追加引数で \code{\link{format}} に渡される．}
}
\value{\code{x}, \code{\link{print}} メソッドがそうあるべきであるように
  不可視 (\code{\link{invisible}()} を用いる)．
}
\seealso{
  総称的関数 \code{\link{print}}；その既定メソッドは
  \code{\link{print.default}}
  (\code{"numeric"}, \code{"character"} そしてそれらの \code{\link{array}}，
  code{\link{list}}s 等の多くの基本暗黙クラスに対して使われる)．
}
\examples{
## この関数は単純に次のように定義される
 function (x, ...) {
    writeLines(format(x, ...))
    invisible(x)
 }

## R の簡単なプリントメソッドと新しいメソッドのプロトタイプして使われる．
}
\keyword{utilities}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\name{.print.via.format}
%\alias{.print.via.format}
%\title{Printing Utilities}
%\description{
%  \code{.print.via.format} is a \dQuote{prototype} \code{\link{print}()}
%  method, useful, at least as a start, by a simple
%\preformatted{    print.<myS3class>  <-  .print.via.format}
%}
%\usage{
%.print.via.format(x, ...)
%}
%\arguments{
%  \item{x}{object to be printed.}
%  \item{\dots}{optional further arguments, passed to \code{\link{format}}.}
%}
%\value{\code{x}, invisibly (by \code{\link{invisible}()}), as
%  \code{\link{print}} methods should.
%}
%\seealso{
%  The \code{\link{print}} generic; its default method
%  \code{\link{print.default}} (used for many basic implicit classes such
%  as \code{"numeric"}, \code{"character"} and \code{\link{array}}s of
%  them, \code{\link{list}}s etc).
%}
%\examples{
%## The function is simply defined as
% function (x, ...) {
%    writeLines(format(x, ...))
%    invisible(x)
% }
%
%## is used for simple print methods in R, and as prototype for new methods.
%}
%\keyword{utilities}
%
%\encoding{UTF8}
%