% File src/library/tools/man/toHTML.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2010-1 R Core Team
% Distributed under GPL 2 or later

\name{toHTML}
%@%\alias{HTML による表示}
\alias{toHTML}
\alias{toHTML.packageIQR}
\alias{toHTML.news_db}
\title{HTML によるオブジェクト表示}
%\title{Display an object in HTML.}
\description{
この総称的関数はオブジェクトから完全な
HTML ページを作る．
}
\usage{
toHTML(x, ...)
\S3method{toHTML}{packageIQR}(x, ...)
\S3method{toHTML}{news_db}(x, ...)
}
\arguments{
  \item{x}{表示するオブジェクト．}
  \item{\dots}{メソッドに対するオプションパラメータ；
  \code{"packageIQR"} と
  \code{"news_db"} メソッドはこれらを \code{\link{HTMLheader}} に渡す．}
}
\value{
オブジェクト \code{x} を表示する文字列ベクトル．
\code{"packageIQR"} メソッドはリストを
\R{} のヘルプシステムで表示するようにデザインされている．
}
\seealso{
\code{\link{HTMLheader}}
}
\examples{
cat(toHTML(demo(package = "base")), sep = "\n")
}
\keyword{ utilities }
\keyword{ documentation }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tools/man/toHTML.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2010-1 R Core Team
%% Distributed under GPL 2 or later
%
%\name{toHTML}
%\alias{toHTML}
%\alias{toHTML.packageIQR}
%\alias{toHTML.news_db}
%\title{
%Display an object in HTML.
%}
%\description{
%This generic function generates a complete HTML page from an object.
%}
%\usage{
%toHTML(x, ...)
%\S3method{toHTML}{packageIQR}(x, ...)
%\S3method{toHTML}{news_db}(x, ...)
%}
%\arguments{
%  \item{x}{ An object to display. }
%  \item{\dots}{ Optional parameters for methods; the \code{"packageIQR"} and
%  \code{"news_db"} methods pass these to \code{\link{HTMLheader}}. }
%}
%\value{
%A character vector to display the object \code{x}.  The \code{"packageIQR"} method
%is designed to display lists in the \R{} help system.
%}
%\seealso{
%\code{\link{HTMLheader}}
%}
%\examples{
%cat(toHTML(demo(package = "base")), sep = "\n")
%}
%\keyword{ utilities }
%\keyword{ documentation }
%
%\encoding{UTF8}
%