% File src/library/tools/man/toTitleCase.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2015 R Core Team
% Distributed under GPL 2 or later

\name{toTitleCase}
%@%\alias{タイトルケース化}
\alias{toTitleCase}
%\title{タイトルをタイトルケース化する}
\title{Convert Titles to Title Case}
\description{
  文字列ベクトルをタイトルケース化する，特にパッケージのタイトル．
}
\usage{
toTitleCase(text)
}
\arguments{
  \item{text}{文字列ベクトル．}
}
\details{
  これは英語のテキスト用だけを意図している．

  \sQuote{タイトルケース}の普遍的に受け入れられている定義はない：
  \sQuote{主要}な単語は大文字で始まり
  \sQuote{for} の様な通常の単語はしないことは皆が合意するが，どの単語がそれぞれの
  カテゴリーに入るかについては合意がない．

  一般に全て大文字の単語はそのままにされる：
  この移植は慣例的な
  \sQuote{LaTeX} と \sQuote{OpenBUGS} のような大小文字のミックス
  と普通大文字化されない \sQuote{jar} と \sQuote{xls} のような
  幾つかの技術用語を知っている．
  しかしながら未知の技術用語は一重引用符で囲まれた単一の単語で
  無い限り先頭が大文字化される：
  パッケージとライブラリの名前はタイトルでは
  引用化されるべきである．
}
\value{
  \code{text} と同じ長さの名前の無い文字列ベクトル．
}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tools/man/toTitleCase.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2015 R Core Team
%% Distributed under GPL 2 or later
%
%\name{toTitleCase}
%\alias{toTitleCase}
%\title{Convert Titles to Title Case}
%\description{
%  Convert a character vector to title case, especially package titles.
%}
%\usage{
%toTitleCase(text)
%}
%\arguments{
%  \item{text}{a character vector.}
%}
%\details{
%  This is intended for English text only.
%
%  No definition of\sQuote{title case} is universally accepted: all agree
%  that \sQuote{principal} words are capitalized and common words like
%  \sQuote{for} are not, but not which words fall into each category.
%
%  Generally words in all capitals are left alone: this implementation
%  knows about conventional mixed-case words such as \sQuote{LaTeX} and
%  \sQuote{OpenBUGS} and a few technical terms which are not usually
%  capitalized such as \sQuote{jar} and \sQuote{xls}.  However, unknown
%  technical terms will be capitalized unless they are single words
%  enclosed in single quotes: names of packages and libraries should be
%  quoted in titles.
%}
%\value{
%  A character vector of the same length as \code{text}, without names.
%}
%
%\encoding{UTF8}
%